#ifndef T_COMMON_H
#define T_COMMON_H 1

struct HXoption;
struct xtnetlink_handle;

struct test_param {
	struct xtnetlink_handle *xth;
};

struct test_program {
	const struct HXoption *options;
	int (*tfunc)(int, const char **, struct test_param *);
};

extern int tf_chain_print(const struct xtuser_chain *);

extern const struct test_program
	tp_abort,
	tp_error,
	tp_identify,
	tp_chain_create,
	tp_chain_delete,
	tp_chain_demote, /* in t-chain-promote.c */
	tp_chain_dump,
	tp_chain_move,
	tp_chain_promote,
	tp_chain_splice,
	tp_table_dump,
	tp_table_flush,
	tp_table_replace,
	tp_table_replace2;

extern unsigned int t_hexdump;

#endif /* T_COMMON_H */
