/*
 *	Minimal test program for the IDENTIFY operation
 *	written by Jan Engelhardt, 2012
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the WTF Public License version 2 or
 *	(at your option) any later version.
 */
#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <libHX/option.h>
#include <libnetfilter_xtables/props.h>
#include <libnetfilter_xtables/xtnetlink.h>
#include <libnetfilter_xtables/xtuser.h>
#include "t-common.h"

static int tf_error(int argc, const char **argv, struct test_param *par)
{
	xtnetlink_test_error(par->xth);
	return EXIT_SUCCESS;
}

const struct test_program tp_error = {
	.tfunc   = tf_error,
};
